---
references:
- id: CaoAdjoint2003
  accessed:
    - year: 2019
      month: 8
      day: 31
  author:
    - family: Cao
      given: Y.
    - family: Li
      given: S.
    - family: Petzold
      given: L.
    - family: Serban
      given: R.
  citation-key: CaoAdjoint2003
  container-title: SIAM Journal on Scientific Computing
  container-title-short: SIAM J. Sci. Comput.
  DOI: 10.1137/S1064827501380630
  ISSN: 1064-8275
  issue: '3'
  issued:
    - year: 2003
      month: 1
      day: 1
  page: 1076-1089
  title: >-
    Adjoint Sensitivity Analysis for Differential-Algebraic Equations: The
    Adjoint DAE System and Its Numerical Solution
  type: article-journal
  URL: http://people.cs.vt.edu/~ycao/publication/adjdae.pdf
  volume: '24'

- id: CarpenterStan2015
  accessed:
    - year: 2016
      month: 7
      day: 3
  author:
    - family: Carpenter
      given: Bob
    - family: Hoffman
      given: Matthew D.
    - family: Brubaker
      given: Marcus
    - family: Lee
      given: Daniel
    - family: Li
      given: Peter
    - family: Betancourt
      given: Michael
  citation-key: CarpenterStan2015
  container-title: arXiv preprint arXiv:1509.07164
  issued:
    - year: 2015
  title: 'The Stan Math Library: Reverse-Mode Automatic Differentiation in C++'
  type: article-journal
  URL: http://arxiv.org/abs/1509.07164

- id: ErricoWhat1997
  accessed:
    - year: 2019
      month: 8
      day: 31
  author:
    - family: Errico
      given: Ronald M.
  citation-key: ErricoWhat1997
  container-title: Bulletin of the American Meteorological Society
  container-title-short: Bull. Amer. Meteor. Soc.
  DOI: 10.1175/1520-0477(1997)078<2577:WIAAM>2.0.CO;2
  ISSN: 0003-0007
  issue: '11'
  issued:
    - year: 1997
      month: 11
      day: 1
  page: 2577-2592
  publisher: American Meteorological Society
  section: Bulletin of the American Meteorological Society
  title: What Is an Adjoint Model?
  type: article-journal
  URL: http://bio.cgrer.uiowa.edu/people/tchai/HTM/Reference/adjoint_errico.pdf
  volume: '78'

- id: GahunguAdjointaided2022
  accessed:
    - year: 2022
      month: 12
      day: 2
  author:
    - family: Gahungu
      given: Paterne
    - family: Lanyon
      given: Christopher W.
    - family: Álvarez
      given: Mauricio A.
    - family: Bainomugisha
      given: Engineer
    - family: Smith
      given: Michael Thomas
    - family: Wilkinson
      given: Richard David
  citation-key: GahunguAdjointaided2022
  event-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2022
      month: 10
      day: 31
  language: en
  title: Adjoint-aided inference of Gaussian process driven differential equations
  type: paper-conference
  URL: https://openreview.net/forum?id=G8BExMno316

- id: GilesCollected2008
  accessed:
    - year: 2016
      month: 7
      day: 3
  author:
    - family: Giles
      given: Mike B.
  citation-key: GilesCollected2008
  collection-editor:
    - family: Barth
      given: Timothy J.
    - family: Griebel
      given: Michael
    - family: Keyes
      given: David E.
    - family: Nieminen
      given: Risto M.
    - family: Roose
      given: Dirk
    - family: Schlick
      given: Tamar
  container-title: Advances in Automatic Differentiation
  editor:
    - family: Bischof
      given: Christian H.
    - family: Bücker
      given: H. Martin
    - family: Hovland
      given: Paul
    - family: Naumann
      given: Uwe
    - family: Utke
      given: Jean
  event-place: Berlin, Heidelberg
  ISBN: 978-3-540-68935-5 978-3-540-68942-3
  issued:
    - year: 2008
  page: 35-44
  publisher: Springer Berlin Heidelberg
  publisher-place: Berlin, Heidelberg
  title: >-
    Collected Matrix Derivative Results for Forward and Reverse Mode Algorithmic
    Differentiation
  type: chapter
  URL: http://eprints.maths.ox.ac.uk/1079/
  volume: '64'

- id: InnesDon2018
  accessed:
    - year: 2018
      month: 11
      day: 6
  author:
    - family: Innes
      given: Michael
  citation-key: InnesDon2018
  container-title: arXiv:1810.07951 [cs]
  issued:
    - year: 2018
      month: 10
      day: 18
  title: 'Don''t Unroll Adjoint: Differentiating SSA-Form Programs'
  type: article-journal
  URL: http://arxiv.org/abs/1810.07951

- id: IonescuTraining2016
  accessed:
    - year: 2022
      month: 10
      day: 3
  author:
    - family: Ionescu
      given: Catalin
    - family: Vantzos
      given: Orestis
    - family: Sminchisescu
      given: Cristian
  citation-key: IonescuTraining2016
  DOI: 10.48550/arXiv.1509.07838
  issued:
    - year: 2016
      month: 4
      day: 14
  number: arXiv:1509.07838
  publisher: arXiv
  title: Training Deep Networks with Structured Layers by Matrix Backpropagation
  type: article
  URL: http://arxiv.org/abs/1509.07838

- id: JohnsonNotes2012
  author:
    - family: Johnson
      given: Steven G
  citation-key: JohnsonNotes2012
  issued:
    - year: 2012
  language: en
  page: '6'
  title: Notes on Adjoint Methods for 18.335
  type: article-journal
  URL: https://math.mit.edu/~stevenj/18.336/adjoint.pdf

- id: KavvadiasProper2015
  accessed:
    - year: 2023
      month: 5
      day: 14
  author:
    - family: Kavvadias
      given: I. S.
    - family: Papoutsis-Kiachagias
      given: E. M.
    - family: Giannakoglou
      given: K. C.
  citation-key: KavvadiasProper2015
  container-title: Journal of Computational Physics
  container-title-short: Journal of Computational Physics
  DOI: 10.1016/j.jcp.2015.08.012
  ISSN: 0021-9991
  issued:
    - year: 2015
      month: 11
      day: 15
  language: en
  page: 1-18
  title: >-
    On the proper treatment of grid sensitivities in continuous adjoint methods
    for shape optimization
  type: article-journal
  volume: '301'

- id: KidgerHey2021
  accessed:
    - year: 2023
      month: 4
      day: 16
  author:
    - family: Kidger
      given: Patrick
    - family: Chen
      given: Ricky T. Q.
    - family: Lyons
      given: Terry J.
  citation-key: KidgerHey2021
  container-title: Proceedings of the 38th International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 2640-3498
  issued:
    - year: 2021
      month: 7
      day: 1
  language: en
  page: 5443-5452
  publisher: PMLR
  title: '"Hey, that’s not an ODE": Faster ODE Adjoints via Seminorms'
  type: paper-conference
  URL: http://arxiv.org/abs/2009.09457

- id: KidgerNeural2020
  accessed:
    - year: 2021
      month: 9
      day: 28
  author:
    - family: Kidger
      given: Patrick
    - family: Morrill
      given: James
    - family: Foster
      given: James
    - family: Lyons
      given: Terry
  citation-key: KidgerNeural2020
  container-title: arXiv:2005.08926 [cs, stat]
  issued:
    - year: 2020
      month: 11
      day: 5
  title: Neural Controlled Differential Equations for Irregular Time Series
  type: article-journal
  URL: http://arxiv.org/abs/2005.08926

- id: LiScalable2020
  accessed:
    - year: 2020
      month: 8
      day: 23
  author:
    - family: Li
      given: Xuechen
    - family: Wong
      given: Ting-Kam Leonard
    - family: Chen
      given: Ricky T. Q.
    - family: Duvenaud
      given: David
  citation-key: LiScalable2020
  container-title: International Conference on Artificial Intelligence and Statistics
  event-title: International Conference on Artificial Intelligence and Statistics
  ISSN: 2640-3498
  issued:
    - year: 2020
      month: 6
      day: 3
  language: en
  page: 3870-3882
  publisher: PMLR
  title: Scalable Gradients for Stochastic Differential Equations
  type: paper-conference
  URL: http://proceedings.mlr.press/v108/li20i.html

- id: MargossianHamiltonian2020
  accessed:
    - year: 2022
      month: 1
      day: 26
  author:
    - family: Margossian
      given: Charles C.
    - family: Vehtari
      given: Aki
    - family: Simpson
      given: Daniel
    - family: Agrawal
      given: Raj
  citation-key: MargossianHamiltonian2020
  container-title: arXiv:2004.12550 [stat]
  issued:
    - year: 2020
      month: 10
      day: 25
  title: >-
    Hamiltonian Monte Carlo using an adjoint-differentiated Laplace
    approximation: Bayesian inference for latent Gaussian models and beyond
  type: article-journal
  URL: http://arxiv.org/abs/2004.12550

- id: MituschDolfinadjoint2019
  accessed:
    - year: 2021
      month: 7
      day: 9
  author:
    - family: Mitusch
      given: Sebastian K.
    - family: Funke
      given: Simon W.
    - family: Dokken
      given: Jørgen S.
  citation-key: MituschDolfinadjoint2019
  container-title: Journal of Open Source Software
  DOI: 10.21105/joss.01292
  ISSN: 2475-9066
  issue: '38'
  issued:
    - year: 2019
      month: 6
      day: 18
  language: en
  page: '1292'
  title: 'dolfin-adjoint 2018.1: automated adjoints for FEniCS and Firedrake'
  type: article-journal
  volume: '4'

- id: PapoutsisKiachagiasAdjoint2013
  author:
    - family: Papoutsis-Kiachagias
      given: Evangelos
  citation-key: PapoutsisKiachagiasAdjoint2013
  issued:
    - year: 2013
  language: en
  title: >-
    Adjoint Methods for Turbulent Flows, Applied to Shape or Topology
    Optimization and Robust Design
  type: thesis

- id: PapoutsisKiachagiasContinuous2016
  accessed:
    - year: 2023
      month: 5
      day: 14
  author:
    - family: Papoutsis-Kiachagias
      given: E. M.
    - family: Giannakoglou
      given: K. C.
  citation-key: PapoutsisKiachagiasContinuous2016
  container-title: Archives of Computational Methods in Engineering
  container-title-short: Arch Computat Methods Eng
  DOI: 10.1007/s11831-014-9141-9
  ISSN: 1886-1784
  issue: '2'
  issued:
    - year: 2016
      month: 6
      day: 1
  language: en
  page: 255-299
  title: >-
    Continuous Adjoint Methods for Turbulent Flows, Applied to Shape and
    Topology Optimization: Industrial Applications
  type: article-journal
  volume: '23'

- id: PapoutsisKiachagiasNoise2015
  accessed:
    - year: 2023
      month: 5
      day: 14
  author:
    - family: Papoutsis-Kiachagias
      given: E. M.
    - family: Magoulas
      given: N.
    - family: Mueller
      given: J.
    - family: Othmer
      given: C.
    - family: Giannakoglou
      given: K. C.
  citation-key: PapoutsisKiachagiasNoise2015
  container-title: Computers & Fluids
  container-title-short: Computers & Fluids
  DOI: 10.1016/j.compfluid.2015.09.002
  ISSN: 0045-7930
  issued:
    - year: 2015
      month: 11
      day: 20
  language: en
  page: 223-232
  title: >-
    Noise reduction in car aerodynamics using a surrogate objective function and
    the continuous adjoint method with wall functions
  type: article-journal
  volume: '122'

- id: RackauckasComparison2018
  accessed:
    - year: 2019
      month: 1
      day: 29
  author:
    - family: Rackauckas
      given: Christopher
    - family: Ma
      given: Yingbo
    - family: Dixit
      given: Vaibhav
    - family: Guo
      given: Xingjian
    - family: Innes
      given: Mike
    - family: Revels
      given: Jarrett
    - family: Nyberg
      given: Joakim
    - family: Ivaturi
      given: Vijay
  citation-key: RackauckasComparison2018
  container-title: arXiv:1812.01892 [cs]
  issued:
    - year: 2018
      month: 12
      day: 5
  title: >-
    A Comparison of Automatic Differentiation and Continuous Sensitivity
    Analysis for Derivatives of Differential Equation Solutions
  type: article-journal
  URL: http://arxiv.org/abs/1812.01892

- id: StaporOptimization2018
  accessed:
    - year: 2021
      month: 8
      day: 2
  author:
    - family: Stapor
      given: Paul
    - family: Fröhlich
      given: Fabian
    - family: Hasenauer
      given: Jan
  citation-key: StaporOptimization2018
  container-title: bioRxiv
  DOI: 10.1101/272005
  issued:
    - year: 2018
      month: 2
      day: 28
  language: en
  page: '272005'
  publisher: Cold Spring Harbor Laboratory
  section: New Results
  title: >-
    Optimization and uncertainty analysis of ODE models using 2nd order adjoint
    sensitivity analysis
  type: article-journal
  URL: https://www.biorxiv.org/content/10.1101/272005v2
...
